#  Available field types:
#  'int',
#  'integer',
#  'string',
#  'text',
#  'date',
#  'select',
#  'select2',//ini belum ding
#  'select2ajax'
#  'file'


table: pesertas
fields:
  id_pendaftar:
    type: select2ajax
    label: Pendaftar
    nullable: false
    validation_rules: 'required'
    url: 'select2/pendaftar'
    html_attributes: ''
    multiple: false
  nama:
    type: string
    label: Nama
    nullable: false
    validation_rules: 'required'
    html_attributes: ''
    helptext: ''
  no_ktp:
    type: string
    label: KTP
    nullable: false
    validation_rules: 'required'
    html_attributes: ''
    helptext: ''
  nim_nis:
    type: string
    label: NIM/NIS
    nullable: false
    validation_rules: 'required'
    html_attributes: ''
    helptext: ''
  email:
    type: string
    label: Email
    nullable: false
    validation_rules: 'required'
    html_attributes: ''
    helptext: ''
  id_sekolah:
    type: select2ajax
    label: id_sekolah
    nullable: false
    validation_rules: 'required'
    url: 'select2/sekolah'
    html_attributes: ''
    multiple: false
  sekolah:
    type: string
    label: Sekolah
    nullable: false
    validation_rules: 'required'
    html_attributes: ''
    helptext: ''
  id_programstudi:
    type: select2ajax
    label: id_programstudi
    nullable: false
    validation_rules: 'required'
    url: 'select2/programstudi'
    html_attributes: ''
    multiple: false
  programstudi:
    type: string
    label: Program Studi
    nullable: false
    validation_rules: 'required'
    html_attributes: ''
    helptext: ''
  file_cv:
    type: file
    label: File CV
    nullable: true
    validation_rules: ''
    html_attributes: ''
    multiple: false
model:
  namespace: App\Peserta
  class_name: Peserta
  file_dir: 'Peserta' #default to: app/Models folder
request:
  namespace: App\Http\Requests
  class_name: PesertaRequest
  file_dir: '' #default to: app/Http/Requests folder
controller:
  namespace: App\Http\Controllers\Peserta
  class_name: PesertaController
  file_dir: 'Peserta' #default to: app/Http/Controllers folder
route:
  url: peserta #dont use any dots!!
  controller: Peserta\PesertaController
views:
  title: Peserta Magang
  file_dir: pesertas #default to: resources/views
